=== src/nonFree/CMakeLists.txt ===
add_subdirectory(sift)
