=== src/software/CMakeLists.txt ===
## AliceVision
## Software

add_subdirectory(pipeline)
add_subdirectory(convert)
add_subdirectory(export)
add_subdirectory(utils)
