=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# I'd like to turn this on, but I get build errors
USE_OCVSIFT := OFF

# ON produces errors. Leave it OFF for now
REQUIRE_CERES_WITH_SUITESPARSE := OFF

override_dh_auto_configure:
	dh_auto_configure -- \
		-DALICEVISION_BUILD_DEPENDENCIES=OFF \
		-DALICEVISION_BUILD_TESTS=OFF \
		-DALICEVISION_INSTALL_MESHROOM_PLUGIN=ON \
		-DAV_BUILD_ALICEVISION=ON \
		-DAV_EIGEN_MEMORY_ALIGNMENT=ON \
		-DAV_USE_CUDA=ON \
		-DAV_USE_OPENMP=ON \
		-DBUILD_SHARED_LIBS=ON \
		\
		-DALICEVISION_BUILD_COVERAGE=OFF \
		-DALICEVISION_BUILD_DOC=OFF \
		-DALICEVISION_BUILD_HDR=ON \
		-DALICEVISION_BUILD_LIDAR=OFF \
		-DALICEVISION_BUILD_MVS=ON \
		-DALICEVISION_BUILD_PANORAMA=ON \
		-DALICEVISION_BUILD_PHOTOMETRICSTEREO=ON \
		-DALICEVISION_BUILD_SEGMENTATION=ON \
		-DALICEVISION_BUILD_SFM=ON \
		-DALICEVISION_BUILD_SOFTWARE=ON \
		-DALICEVISION_BUILD_SWIG_BINDING=OFF \
		-DALICEVISION_NVCC_WARNINGS=ON \
		-DALICEVISION_REMOVE_ABSOLUTE=ON \
		-DALICEVISION_REQUIRE_CERES_WITH_SUITESPARSE=$(REQUIRE_CERES_WITH_SUITESPARSE) \
		-DALICEVISION_USE_ALEMBIC=ON \
		-DALICEVISION_USE_APRILTAG=ON \
		-DALICEVISION_USE_CCTAG=OFF \
		-DALICEVISION_USE_CUDA=ON \
		-DALICEVISION_USE_MESHSDFILTER=ON \
		-DALICEVISION_USE_NVTX_PROFILING=OFF \
		-DALICEVISION_USE_OCVSIFT=$(USE_OCVSIFT) \
		-DALICEVISION_USE_ONNX=OFF \
		-DALICEVISION_USE_ONNX_GPU=OFF \
		-DALICEVISION_USE_OPENCV=ON \
		-DALICEVISION_USE_OPENCV_CONTRIB=ON \
		-DALICEVISION_USE_OPENGV=ON \
		-DALICEVISION_USE_OPENMP=ON \
		-DALICEVISION_USE_POPSIFT=OFF \
		-DALICEVISION_USE_RPATH=OFF \
		-DALICEVISION_USE_UNCERTAINTYTE=OFF \
		-DBOOST_NO_CXX11=OFF \
		-DLEMON_INCLUDE_DIR_HINTS=/usr/include/lemon/ \
		-DFLANN_INCLUDE_DIR_HINTS=/usr/include/flann/ \
		-DGEOGRAM_LIBRARY=/usr/lib/$(DEB_HOST_GNU_TYPE)/libgeogram.so \
		-DGEOGRAM_INCLUDE_DIR=/usr/include/geogram1

# To make the tests pass I need to set ALICEVISION_ROOT to some directory inside
# the build tree. I get this as relative to this debian/rules file
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ALICEVISION_ROOT=$(dir $(realpath $(lastword $(MAKEFILE_LIST))))/../src/aliceVision/image dh_auto_test
endif

# Extra notes in /usr/share/aliceVision shouldn't live there, but they're not
# useful anyway, so I remove them
execute_after_dh_auto_install:
	rm debian/tmp/usr/share/aliceVision/*.md
