=== debian/watch ===
version=4
opts=\
repacksuffix=+repack,\
dversionmangle=s/\+repack//g,\
repack,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/AliceVision-$1\.tar\.gz/ \
 https://github.com/alicevision/AliceVision/tags .*/v?(\d\S+)\.tar\.gz
